Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.dr3d
Enum OdfLightingModeType

    java.lang.Object
      java.lang.Enum<OdfLightingModeType>
          org.odftoolkit.odfdom.dom.type.dr3d.OdfLightingModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfLightingModeType>

    public enum OdfLightingModeType

extends Enum<OdfLightingModeType>

DOM implementation of OpenDocument attribute dr3d:lighting-mode.

Enum Constant Summary
`DOUBLE_SIDED`
`STANDARD`

Method Summary
`static OdfLightingModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLightingModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLightingModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLightingModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE_SIDED

    public static final OdfLightingModeType DOUBLE_SIDED

### STANDARD

    public static final OdfLightingModeType STANDARD

Method Detail

### values

    public static OdfLightingModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLightingModeType c : OdfLightingModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLightingModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLightingModeType>`
  Returns:
    return the name of OdfLightingModeType

### toString

    public static String toString(OdfLightingModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLightingModeType, see dr3d:lighting-mode
  Returns:
    return the name of OdfLightingModeType

### enumValueOf

    public static OdfLightingModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLightingModeType
  Returns:
    return the constant of OdfLightingModeType, see dr3d:lighting-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.